<?php

/**
 * Kopano services settings view.
 *
 * @category   apps
 * @package    kopano
 * @subpackage views
 * @author     ClearFoundation <developer@clearfoundation.com>
 * @copyright  2016 ClearFoundation
 * @license    http://www.gnu.org/copyleft/gpl.html GNU General Public License version 3 or later
 * @link       http://www.clearfoundation.com/docs/developer/apps/kopano/
 */

///////////////////////////////////////////////////////////////////////////////
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.  
//  
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////
// Load dependencies
///////////////////////////////////////////////////////////////////////////////

$this->lang->load('base');
$this->lang->load('kopano');

///////////////////////////////////////////////////////////////////////////////
// Form handler
///////////////////////////////////////////////////////////////////////////////

if ($form_mode === 'edit') {
    $read_only = FALSE;
    $buttons = array(
        form_submit_update('submit'),
        anchor_cancel('/app/' . $basename . '/settings')
    );
} else {
    $read_only = TRUE;
    $buttons = array(
        anchor_edit('/app/' . $basename . '/settings/edit')
    );
}

///////////////////////////////////////////////////////////////////////////////
// Form
///////////////////////////////////////////////////////////////////////////////

echo form_open($basename . '/settings/edit');
echo form_header(lang('base_settings'));

echo fieldset_header(lang('kopano_mail_server_settings'));
echo field_input('pop3', $pop3, lang('kopano_pop3_port'), $read_only);
echo field_input('pop3s', $pop3s, lang('kopano_secure_pop3_port'), $read_only);
echo field_input('imap', $imap, lang('kopano_imap_port'), $read_only);
echo field_input('imaps', $imaps, lang('kopano_secure_imap_port'), $read_only);
echo fieldset_footer();

echo fieldset_header(lang('kopano_calendar_server_settings'));
echo field_input('ical', $ical, lang('kopano_ical_port'), $read_only);
echo field_input('icals', $icals, lang('kopano_secure_ical_port'), $read_only);
echo fieldset_footer();

echo fieldset_header(lang('kopano_policy_settings'));
echo field_toggle_enable_disable('sender', $sender, lang('kopano_strict_sender_policy'), $read_only);
echo fieldset_footer();

echo field_button_set($buttons);

echo form_footer();
echo form_close();
