<?php

/**
 * Kopano Basic for ClearOS controller.
 *
 * @category   apps
 * @package    kopano-basic
 * @subpackage controllers
 * @author     ClearCenter <developer@clearcenter.com>
 * @copyright  2016 ClearCenter
 * @license    http://www.clearcenter.com/app_license ClearCenter license
 * @link       http://www.clearcenter.com/support/documentation/clearos/kopano_basic/
 */

///////////////////////////////////////////////////////////////////////////////
// C L A S S
///////////////////////////////////////////////////////////////////////////////

/**
 * Kopano Basic for ClearOS controller.
 *
 * @category   apps
 * @package    kopano-basic
 * @subpackage controllers
 * @author     ClearCenter <developer@clearcenter.com>
 * @copyright  2016 ClearCenter
 * @license    http://www.clearcenter.com/app_license ClearCenter license
 * @link       http://www.clearcenter.com/support/documentation/clearos/kopano_basic/
 */

class Kopano_Basic extends ClearOS_Controller
{
    /**
     * Kopano Basic for ClearOS summary view.
     *
     * @return view
     */

    function index()
    {
        // Show account status widget if we're not in a happy state
        //---------------------------------------------------------

        $this->load->module('accounts/status');

        if ($this->status->unhappy()) {
            $this->status->widget('kopano_basic');
            return;
        }

        // Load libraries
        //---------------

        $this->lang->load('kopano_basic');

        // Load views
        //-----------

        $views = array(
            'kopano_basic/licenses', 
            'kopano_basic/services',
            'kopano_basic/settings',
            'kopano_basic/backup'
        );

        $this->page->view_forms($views, lang('kopano_basic_app_name'));
    }
}
