<?php

/**
 * Javascript helper for Kopano_Small_Business.
 *
 * @category   apps
 * @package    kopano-basic
 * @subpackage javascript
 * @author     ClearCenter <developer@clearcenter.com>
 * @copyright  2016 ClearCenter
 * @license    http://www.clearcenter.com/app_license ClearCenter license
 * @link       http://www.clearcenter.com/support/documentation/clearos/kopano_basic/
 */

///////////////////////////////////////////////////////////////////////////////
// B O O T S T R A P
///////////////////////////////////////////////////////////////////////////////

$bootstrap = getenv('CLEAROS_BOOTSTRAP') ? getenv('CLEAROS_BOOTSTRAP') : '/usr/clearos/framework/shared';
require_once $bootstrap . '/bootstrap.php';

clearos_load_language('kopano');
clearos_load_language('base');

header('Content-Type: application/x-javascript');

?>

var lang_unknown = '<?php echo lang('base_unknown'); ?>';
var lang_cal_total = '<?php echo lang('kopano_cal_total'); ?>';
var lang_cal_used = '<?php echo lang('kopano_cal_used'); ?>';

$(document).ready(function() {
    clearos_add_sidebar_pair(lang_cal_used, '<div id="clearos_cal_used">' + clearos_loading() + '</div>');
    clearos_add_sidebar_pair(lang_cal_total, '<div id="clearos_cal_total">' + clearos_loading() + '</div>');
    get_license_stats();
});

function get_license_stats() {
    $.ajax({
        type: 'GET',
        dataType: 'json',
        url: '/app/kopano_basic/licenses/get_stats',
        data: '',
        success: function(json) {
            if (json.code == 0) {
                $('#clearos_cal_total').html(json.stats.total);
                $('#clearos_cal_used').html(json.stats.used);
            } else {
                $('#clearos_cal_total').html(lang_unknown);
                $('#clearos_cal_used').html(lang_unknown);
            }
        },
        error: function(xhr, text, err) {
            $('#clearos_cal_total').html(lang_unknown);
            $('#clearos_cal_used').html(lang_unknown);
        }
    });
    window.setTimeout(get_license_stats, 3000);
}

// vim: syntax=javascript ts=4
