<?php

/**
 * Kopano Basic for ClearOS backup view.
 *
 * @category   apps
 * @package    kopano-basic
 * @subpackage views
 * @author     ClearCenter <developer@clearcenter.com>
 * @copyright  2015 ClearCenter
 * @license    http://www.clearcenter.com/app_license ClearCenter license
 * @link       http://www.clearcenter.com/support/documentation/clearos/kopano_basic/
 */

///////////////////////////////////////////////////////////////////////////////
// Load dependencies
///////////////////////////////////////////////////////////////////////////////

$this->lang->load('kopano_basic');

///////////////////////////////////////////////////////////////////////////////
// Form open
///////////////////////////////////////////////////////////////////////////////

echo form_open('kopano_basic/backup/edit');
echo form_header(lang('kopano_basic_backup'));

///////////////////////////////////////////////////////////////////////////////
// Form fields and buttons
///////////////////////////////////////////////////////////////////////////////

if ($mode === 'edit') {
    $read_only = FALSE;
    $buttons = array(
        form_submit_update('submit'),
        anchor_cancel('/app/kopano_basic')
    );
} else {
    $read_only = TRUE;
    $buttons = array(anchor_edit('/app/kopano_basic/backup/edit'));
}

echo field_dropdown('frequency', $frequency_options, $frequency, lang('kopano_basic_backup_frequency'), $read_only);
echo field_dropdown('destination', $destination_options, $destination, lang('kopano_basic_backup_destination'), $read_only);
echo field_button_set($buttons);

///////////////////////////////////////////////////////////////////////////////
// Form close
///////////////////////////////////////////////////////////////////////////////

echo form_footer();
echo form_close();
