<?php

/**
 * Kopano Basic for ClearOS license view.
 *
 * @category   apps
 * @package    kopano-basic
 * @subpackage views
 * @author     ClearCenter <developer@clearcenter.com>
 * @copyright  2016 ClearCenter
 * @license    http://www.clearcenter.com/app_license ClearCenter license
 * @link       http://www.clearcenter.com/support/documentation/clearos/kopano_basic/
 */

///////////////////////////////////////////////////////////////////////////////
// Load dependencies
///////////////////////////////////////////////////////////////////////////////

$this->load->language('network');

///////////////////////////////////////////////////////////////////////////////
// Form modes
///////////////////////////////////////////////////////////////////////////////

if ($form_type === 'edit') {
    $read_only = FALSE;
    $form_path = '/kopano_basic/licenses/edit/' . $file;
    $buttons = array(
        form_submit_update('submit'),
        anchor_cancel('/app/kopano_basic/licenses'),
        anchor_delete('/app/kopano_basic/licenses/delete/' . $file)
    );
} else {
    $read_only = FALSE;
    $form_path = '/kopano_basic/licenses/add';
    $buttons = array(
        form_submit_add('submit'),
        anchor_cancel('/app/kopano_basic/licenses')
    );
}

///////////////////////////////////////////////////////////////////////////////
// Form open
///////////////////////////////////////////////////////////////////////////////

echo form_open($form_path);
echo form_header(lang('kopano_basic_license'));

if (! empty($file))
    echo field_input('file', $file, lang('kopano_basic_license_file'), TRUE);

echo field_input('serial', $serial, lang('kopano_basic_serial_number'), $read_only);

echo field_button_set($buttons);

echo form_footer();
echo form_close();
